SUSE SLED15 / SLES15セキュリティ更新プログラム:MozillaFirefox(SUSE-SU-2019:1405-1)

critical Nessus プラグイン ID 125702

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

MozillaFirefox用のこの更新プログラムでは、次の問題が修正されます:

修正されたセキュリティ問題:

CVE-2019-11691:XMLHttpRequestでのメモリ解放後使用(Use After Free)

CVE-2019-11692:イベントリスナーマネージャーでリスナーを削除するメモリ解放後使用(Use After Free)

CVE-2019-11693:Linux上のWebGLバッファデータにおけるバッファオーバーフロー

CVE-2019-11694:Windowsサンドボックスでの初期化されていないメモリのメモリリーク

CVE-2019-11698:ブックマークとの間のハイパーリンクのドラッグアンドドロップによるユーザー履歴データの盗難

CVE-2019-7317:libpngライブラリのpng_image_freeでのメモリ解放後使用(Use After Free)

CVE-2019-9800:Firefox 67とFirefox ESR 60.7で修正されたメモリ安全性に関するバグ

CVE-2019-9815:macOSでコンテンツJavaScriptスレッドのハイパースレッディングを無効化

CVE-2019-9816:オブジェクトグループとUnboxedObjectsとの型の取り違え

CVE-2019-9817:キャンバスを使ったクロスドメイン画像の盗難

CVE-2019-9818:クラッシュ生成サーバーでのメモリ解放後使用(Use After Free)

CVE-2019-9819:取得APIとコンパートメントの不一致

CVE-2019-9820:DocShellによるChromeEventHandlerのメモリ解放後使用(Use After Free)

修正された非セキュリティ問題:日本の新しい元号「令和」に対応するためのフォントと日付の調整

Firefox ESR 60.7に更新します(bsc#1135824)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1405=1

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-1405=1

SUSE Linux Enterprise Module for Desktop Applications 15-SP1:zypper in
-t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2019-1405=1

SUSE Linux Enterprise Module for Desktop Applications 15:zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2019-1405=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1135824

https://www.suse.com/security/cve/CVE-2019-11691/

https://www.suse.com/security/cve/CVE-2019-11692/

https://www.suse.com/security/cve/CVE-2019-11693/

https://www.suse.com/security/cve/CVE-2019-11694/

https://www.suse.com/security/cve/CVE-2019-11698/

https://www.suse.com/security/cve/CVE-2019-7317/

https://www.suse.com/security/cve/CVE-2019-9800/

https://www.suse.com/security/cve/CVE-2019-9815/

https://www.suse.com/security/cve/CVE-2019-9816/

https://www.suse.com/security/cve/CVE-2019-9817/

https://www.suse.com/security/cve/CVE-2019-9818/

https://www.suse.com/security/cve/CVE-2019-9819/

https://www.suse.com/security/cve/CVE-2019-9820/

http://www.nessus.org/u?eb1fa270

プラグインの詳細

深刻度: Critical

ID: 125702

ファイル名: suse_SU-2019-1405-1.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2019/6/4

更新日: 2021/1/13

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.5

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.9

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:MozillaFirefox, p-cpe:/a:novell:suse_linux:MozillaFirefox-branding-upstream, p-cpe:/a:novell:suse_linux:MozillaFirefox-buildsymbols, p-cpe:/a:novell:suse_linux:MozillaFirefox-debuginfo, p-cpe:/a:novell:suse_linux:MozillaFirefox-debugsource, p-cpe:/a:novell:suse_linux:MozillaFirefox-devel, p-cpe:/a:novell:suse_linux:MozillaFirefox-translations-common, p-cpe:/a:novell:suse_linux:MozillaFirefox-translations-other, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/6/3

脆弱性公開日: 2019/2/4

参照情報

CVE: CVE-2019-11691, CVE-2019-11692, CVE-2019-11693, CVE-2019-11694, CVE-2019-11698, CVE-2019-7317, CVE-2019-9800, CVE-2019-9815, CVE-2019-9816, CVE-2019-9817, CVE-2019-9818, CVE-2019-9819, CVE-2019-9820